import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {PhoneOrderComponent} from './phone-order/phone-order.component';
import {VipTopUpOrderComponent} from './vip-top-up-order/vip-top-up-order.component';
import {KfcOrderComponent} from './kfc-order/kfc-order.component';
import {ListComponent} from './starbucks-order/list/list.component';

const routes: Routes = [
  { path: 'phone-order', component: PhoneOrderComponent },
  { path: 'vip-top-up-order', component: VipTopUpOrderComponent },
  { path: 'kfc-order', component: KfcOrderComponent },
  { path: 'starbuck-order', component: ListComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ApiOrderRoutingModule { }
