import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MerchantAccountRoutingModule } from './merchant-account-routing.module';
import { MerAccountRecordListComponent } from './mer-account-record-list/mer-account-record-list.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';
import {NgxEchartsModule} from 'ngx-echarts';


@NgModule({
  declarations: [MerAccountRecordListComponent],
  imports: [
    CommonModule,
    MerchantAccountRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
    NgxEchartsModule,
  ]
})
export class MerchantAccountModule { }
