import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { OilCardRoutingModule } from './oil-card-routing.module';
import { OilCardListComponent } from './oil-card-list/oil-card-list.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';
import {NgxEchartsModule} from 'ngx-echarts';
import { OilCardRecordListComponent } from './oil-card-record-list/oil-card-record-list.component';
import { OilCardOpRecordListComponent } from './oil-card-op-record-list/oil-card-op-record-list.component';
import { OilCardOrderComponent } from './oil-card-order/oil-card-order.component';


@NgModule({
  declarations: [OilCardListComponent, OilCardRecordListComponent, OilCardOpRecordListComponent, OilCardOrderComponent],
  imports: [
    CommonModule,
    OilCardRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
    NgxEchartsModule,
  ]
})
export class OilCardModule { }
