import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { PromotionRoutingModule } from './promotion-routing.module';
import { DistributionIntegralListComponent } from './distribution-integral-list/distribution-integral-list.component';
import { PromotionOrderListComponent } from './promotion-order-list/promotion-order-list.component';
import {SeparateModule} from '../../common/separate/separate.module';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';


@NgModule({
  declarations: [DistributionIntegralListComponent, PromotionOrderListComponent],
  imports: [
    CommonModule,
      NgZorroAntdModule,
      SeparateModule,
      ReactiveFormsModule,
      FormsModule,
      BreadcrumbModule,
    PromotionRoutingModule
  ]
})
export class PromotionModule { }
